<div class="comments-row">
  <mat-form-field>
    <input type="text" matInput placeholder="Laissez un commentaire…" [formControl]="commentCtrl">
  </mat-form-field>
  <button mat-icon-button color="primary" (click)="onLeaveComment()">
    <mat-icon>send</mat-icon>
  </button>
</div>

<mat-list *ngIf="comments.length" @list>
  <h2 matSubheader>Commentaires</h2>
  <mat-list-item *ngFor="let comment of comments; let i = index"
    [@listItem]="animationStates[i]"
    (mouseenter)="onListItemMouseEnter(i)"
    (mouseleave)="onListItemMouseLeave(i)">
    <span class="comment-text" mat-line>{{ comment.comment }}</span>
    <span class="comment-date" mat-line>{{ comment.createdDate | timeAgo }}</span>
  </mat-list-item>
</mat-list>
